<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: framework::sensor::Gps Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classframework_1_1sensor_1_1_gps.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classframework_1_1sensor_1_1_gps-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">framework::sensor::Gps Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Base class for GPS.  
 <a href="classframework_1_1sensor_1_1_gps.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_gps_8h_source.html">Gps.h</a>&gt;</code></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for framework::sensor::Gps:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classframework_1_1sensor_1_1_gps.png" usemap="#framework::sensor::Gps_map" alt=""/>
  <map id="framework::sensor::Gps_map" name="framework::sensor::Gps_map">
<area href="classframework_1_1core_1_1_i_o_device.html" title="Abstract class for input/ouput system. " alt="framework::core::IODevice" shape="rect" coords="282,56,460,80"/>
<area href="classframework_1_1core_1_1_object.html" title="Base class for all Framework&#39;s classes. " alt="framework::core::Object" shape="rect" coords="282,0,460,24"/>
<area href="classframework_1_1sensor_1_1_mb800.html" title="Class for mb800 gps receiver. " alt="framework::sensor::Mb800" shape="rect" coords="0,168,178,192"/>
<area href="classframework_1_1sensor_1_1_novatel.html" title="Class for Novatel gps receiver. " alt="framework::sensor::Novatel" shape="rect" coords="188,168,366,192"/>
<area href="classframework_1_1sensor_1_1_parrot_gps.html" title="Class for Ardrone 2 gps receiver. " alt="framework::sensor::ParrotGps" shape="rect" coords="376,168,554,192"/>
<area href="classframework_1_1sensor_1_1_simu_gps.html" title="Class for a simulation GPS. " alt="framework::sensor::SimuGps" shape="rect" coords="564,168,742,192"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a3bec6c638e73b402193ad6a2141cb070"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1sensor_1_1_gps.html#a3bec6c638e73b402193ad6a2141cb070">FixQuality_t</a> { <br />
&#160;&#160;<a class="el" href="classframework_1_1sensor_1_1_gps.html#a3bec6c638e73b402193ad6a2141cb070a4bbb8f967da6d1a610596d7257179c2b">FixQuality_t::Invalid</a> =0, 
<a class="el" href="classframework_1_1sensor_1_1_gps.html#a3bec6c638e73b402193ad6a2141cb070a06960407a35b206422d40932f13c8d91">FixQuality_t::Gps</a> =1, 
<a class="el" href="classframework_1_1sensor_1_1_gps.html#a3bec6c638e73b402193ad6a2141cb070aee015802cac7ac6094dc62db8b8a2f51">FixQuality_t::DGps</a> =2, 
<a class="el" href="classframework_1_1sensor_1_1_gps.html#a3bec6c638e73b402193ad6a2141cb070abd9768d943ecb6ddb75aeffea3bfd829">FixQuality_t::Pps</a> =3, 
<br />
&#160;&#160;<a class="el" href="classframework_1_1sensor_1_1_gps.html#a3bec6c638e73b402193ad6a2141cb070a8ad9533f39ec3fe43d6ee0104464a116">FixQuality_t::Rtk</a> =4, 
<a class="el" href="classframework_1_1sensor_1_1_gps.html#a3bec6c638e73b402193ad6a2141cb070a1eacb557d24c49af2ec6832c5fc32413">FixQuality_t::RtkFloat</a> =5, 
<a class="el" href="classframework_1_1sensor_1_1_gps.html#a3bec6c638e73b402193ad6a2141cb070a3c311fbd0f9e51ce27b984f55164cf83">FixQuality_t::Estimated</a> =6, 
<a class="el" href="classframework_1_1sensor_1_1_gps.html#a3bec6c638e73b402193ad6a2141cb070ae1ba155a9f2e8c3be94020eef32a0301">FixQuality_t::Manual</a> =7, 
<br />
&#160;&#160;<a class="el" href="classframework_1_1sensor_1_1_gps.html#a3bec6c638e73b402193ad6a2141cb070a4f502b57d2835715eaa382c7d4c32e94">FixQuality_t::Simulation</a> =8
<br />
 }</td></tr>
<tr class="memdesc:a3bec6c638e73b402193ad6a2141cb070"><td class="mdescLeft">&#160;</td><td class="mdescRight">Fix qualty indicators.  <a href="classframework_1_1sensor_1_1_gps.html#a3bec6c638e73b402193ad6a2141cb070">More...</a><br /></td></tr>
<tr class="separator:a3bec6c638e73b402193ad6a2141cb070"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6835e9e2cdd6189bbdfb6d4483478234"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1sensor_1_1_gps.html#a6835e9e2cdd6189bbdfb6d4483478234">NMEAFlags_t</a> { <a class="el" href="classframework_1_1sensor_1_1_gps.html#a6835e9e2cdd6189bbdfb6d4483478234addb2829db61b82906101f81621b72a15">GGA</a> =0x01, 
<a class="el" href="classframework_1_1sensor_1_1_gps.html#a6835e9e2cdd6189bbdfb6d4483478234a668a0c7e54c498682f662b13938a2bfb">VTG</a> =0x02, 
<a class="el" href="classframework_1_1sensor_1_1_gps.html#a6835e9e2cdd6189bbdfb6d4483478234a1a1ffbc77c26d00e01df0a98f7c711df">GST</a> =0x04
 }</td></tr>
<tr class="memdesc:a6835e9e2cdd6189bbdfb6d4483478234"><td class="mdescLeft">&#160;</td><td class="mdescRight">NMEA flags.  <a href="classframework_1_1sensor_1_1_gps.html#a6835e9e2cdd6189bbdfb6d4483478234">More...</a><br /></td></tr>
<tr class="separator:a6835e9e2cdd6189bbdfb6d4483478234"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_types_classframework_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classframework_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td></tr>
<tr class="memitem:a7201b52b50f64586d1ea82cc1f6a2e6f inherit pub_types_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7201b52b50f64586d1ea82cc1f6a2e6f"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><b>color_t</b> { <b>Auto</b> =0, 
<b>Red</b> =31, 
<b>Green</b> =32, 
<b>Orange</b> =33
 }</td></tr>
<tr class="separator:a7201b52b50f64586d1ea82cc1f6a2e6f inherit pub_types_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ab30e2e915b24fdda381ba16a435eb050"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1sensor_1_1_gps.html#ab30e2e915b24fdda381ba16a435eb050">Gps</a> (const <a class="el" href="classframework_1_1core_1_1_framework_manager.html">core::FrameworkManager</a> *parent, std::string name, <a class="el" href="classframework_1_1sensor_1_1_gps.html#a6835e9e2cdd6189bbdfb6d4483478234">NMEAFlags_t</a> NMEAFlags)</td></tr>
<tr class="memdesc:ab30e2e915b24fdda381ba16a435eb050"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#ab30e2e915b24fdda381ba16a435eb050">More...</a><br /></td></tr>
<tr class="separator:ab30e2e915b24fdda381ba16a435eb050"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a99868101e26a88375c576254d12bbdda"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1sensor_1_1_gps.html#a99868101e26a88375c576254d12bbdda">~Gps</a> ()</td></tr>
<tr class="memdesc:a99868101e26a88375c576254d12bbdda"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a99868101e26a88375c576254d12bbdda">More...</a><br /></td></tr>
<tr class="separator:a99868101e26a88375c576254d12bbdda"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ad4c1deab4b628fb1f6d9553499d15e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1sensor_1_1_gps.html#a5ad4c1deab4b628fb1f6d9553499d15e">UseDefaultPlot</a> (void)</td></tr>
<tr class="memdesc:a5ad4c1deab4b628fb1f6d9553499d15e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Use default plot.  <a href="#a5ad4c1deab4b628fb1f6d9553499d15e">More...</a><br /></td></tr>
<tr class="separator:a5ad4c1deab4b628fb1f6d9553499d15e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a16f2841eb386fe1bd864130441605d12"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classframework_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1sensor_1_1_gps.html#a16f2841eb386fe1bd864130441605d12">EPlot</a> (void) const </td></tr>
<tr class="memdesc:a16f2841eb386fe1bd864130441605d12"><td class="mdescLeft">&#160;</td><td class="mdescRight">East plot.  <a href="#a16f2841eb386fe1bd864130441605d12">More...</a><br /></td></tr>
<tr class="separator:a16f2841eb386fe1bd864130441605d12"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a72aae77c6f5f67b089843cf684112459"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classframework_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1sensor_1_1_gps.html#a72aae77c6f5f67b089843cf684112459">NPlot</a> (void) const </td></tr>
<tr class="memdesc:a72aae77c6f5f67b089843cf684112459"><td class="mdescLeft">&#160;</td><td class="mdescRight">North plot.  <a href="#a72aae77c6f5f67b089843cf684112459">More...</a><br /></td></tr>
<tr class="separator:a72aae77c6f5f67b089843cf684112459"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7588126b45d2a322145dc94bb0e0168c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classframework_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1sensor_1_1_gps.html#a7588126b45d2a322145dc94bb0e0168c">UPlot</a> (void) const </td></tr>
<tr class="memdesc:a7588126b45d2a322145dc94bb0e0168c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Up plot.  <a href="#a7588126b45d2a322145dc94bb0e0168c">More...</a><br /></td></tr>
<tr class="separator:a7588126b45d2a322145dc94bb0e0168c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae9b44dcc5e3d9804dfb0a44c695c3ebd"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classframework_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1sensor_1_1_gps.html#ae9b44dcc5e3d9804dfb0a44c695c3ebd">VEPlot</a> (void) const </td></tr>
<tr class="memdesc:ae9b44dcc5e3d9804dfb0a44c695c3ebd"><td class="mdescLeft">&#160;</td><td class="mdescRight">East velocity plot.  <a href="#ae9b44dcc5e3d9804dfb0a44c695c3ebd">More...</a><br /></td></tr>
<tr class="separator:ae9b44dcc5e3d9804dfb0a44c695c3ebd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a22f882b31b9cb59186e13dac3aeae56c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classframework_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1sensor_1_1_gps.html#a22f882b31b9cb59186e13dac3aeae56c">VNPlot</a> (void) const </td></tr>
<tr class="memdesc:a22f882b31b9cb59186e13dac3aeae56c"><td class="mdescLeft">&#160;</td><td class="mdescRight">North velocity plot.  <a href="#a22f882b31b9cb59186e13dac3aeae56c">More...</a><br /></td></tr>
<tr class="separator:a22f882b31b9cb59186e13dac3aeae56c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4bbc2c14b7123f06b5ae9c80b2e18f7b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classframework_1_1gui_1_1_tab_widget.html">gui::TabWidget</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1sensor_1_1_gps.html#a4bbc2c14b7123f06b5ae9c80b2e18f7b">GetTab</a> (void) const </td></tr>
<tr class="memdesc:a4bbc2c14b7123f06b5ae9c80b2e18f7b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Main tab.  <a href="#a4bbc2c14b7123f06b5ae9c80b2e18f7b">More...</a><br /></td></tr>
<tr class="separator:a4bbc2c14b7123f06b5ae9c80b2e18f7b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa3d9c3cace27dafe48673bde9a7b26ad"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classframework_1_1gui_1_1_layout.html">gui::Layout</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1sensor_1_1_gps.html#aa3d9c3cace27dafe48673bde9a7b26ad">GetLayout</a> (void) const </td></tr>
<tr class="memdesc:aa3d9c3cace27dafe48673bde9a7b26ad"><td class="mdescLeft">&#160;</td><td class="mdescRight">Setup Layout.  <a href="#aa3d9c3cace27dafe48673bde9a7b26ad">More...</a><br /></td></tr>
<tr class="separator:aa3d9c3cace27dafe48673bde9a7b26ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a27b55c12e2089fed49cdf9e9714ee1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classframework_1_1gui_1_1_tab.html">gui::Tab</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1sensor_1_1_gps.html#a4a27b55c12e2089fed49cdf9e9714ee1">GetPlotTab</a> (void) const </td></tr>
<tr class="memdesc:a4a27b55c12e2089fed49cdf9e9714ee1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Plot tab.  <a href="#a4a27b55c12e2089fed49cdf9e9714ee1">More...</a><br /></td></tr>
<tr class="separator:a4a27b55c12e2089fed49cdf9e9714ee1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca54673898eddbc1d1078fdc7f1d88dd"><td class="memItemLeft" align="right" valign="top">uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1sensor_1_1_gps.html#aca54673898eddbc1d1078fdc7f1d88dd">NbSat</a> (void) const </td></tr>
<tr class="memdesc:aca54673898eddbc1d1078fdc7f1d88dd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of used satellites.  <a href="#aca54673898eddbc1d1078fdc7f1d88dd">More...</a><br /></td></tr>
<tr class="separator:aca54673898eddbc1d1078fdc7f1d88dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c480b2dcb3be744b0f0aeffbc4a3cbe"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classframework_1_1sensor_1_1_gps.html#a3bec6c638e73b402193ad6a2141cb070">FixQuality_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1sensor_1_1_gps.html#a8c480b2dcb3be744b0f0aeffbc4a3cbe">FixQuality</a> (void) const </td></tr>
<tr class="memdesc:a8c480b2dcb3be744b0f0aeffbc4a3cbe"><td class="mdescLeft">&#160;</td><td class="mdescRight">Fix Quality.  <a href="#a8c480b2dcb3be744b0f0aeffbc4a3cbe">More...</a><br /></td></tr>
<tr class="separator:a8c480b2dcb3be744b0f0aeffbc4a3cbe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ed3abd4f1cf24d5be873dc995d11cb9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1sensor_1_1_gps.html#a2ed3abd4f1cf24d5be873dc995d11cb9">SetRef</a> (void)</td></tr>
<tr class="memdesc:a2ed3abd4f1cf24d5be873dc995d11cb9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set reference for ENU coordinates.  <a href="#a2ed3abd4f1cf24d5be873dc995d11cb9">More...</a><br /></td></tr>
<tr class="separator:a2ed3abd4f1cf24d5be873dc995d11cb9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2aa80e9268af7c1b7f13c71a057ec4b5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1sensor_1_1_gps.html#a2aa80e9268af7c1b7f13c71a057ec4b5">GetENUPosition</a> (<a class="el" href="classframework_1_1core_1_1_vector3_d.html">core::Vector3D</a> *point)</td></tr>
<tr class="memdesc:a2aa80e9268af7c1b7f13c71a057ec4b5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get ENU position.  <a href="#a2aa80e9268af7c1b7f13c71a057ec4b5">More...</a><br /></td></tr>
<tr class="separator:a2aa80e9268af7c1b7f13c71a057ec4b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1core_1_1_i_o_device"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1core_1_1_i_o_device')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_i_o_device.html">framework::core::IODevice</a></td></tr>
<tr class="memitem:a38daac1daa593059f052e1f8fbca5644 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_i_o_device.html#a38daac1daa593059f052e1f8fbca5644">IODevice</a> (const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *parent, std::string name)</td></tr>
<tr class="memdesc:a38daac1daa593059f052e1f8fbca5644 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a38daac1daa593059f052e1f8fbca5644">More...</a><br /></td></tr>
<tr class="separator:a38daac1daa593059f052e1f8fbca5644 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca7bca58d80d05ade95107d40cc54edd inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_i_o_device.html#aca7bca58d80d05ade95107d40cc54edd">~IODevice</a> ()</td></tr>
<tr class="memdesc:aca7bca58d80d05ade95107d40cc54edd inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#aca7bca58d80d05ade95107d40cc54edd">More...</a><br /></td></tr>
<tr class="separator:aca7bca58d80d05ade95107d40cc54edd inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e7f5d82cab621b617ee19a268e19480 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_i_o_device.html#a7e7f5d82cab621b617ee19a268e19480">AddDeviceToLog</a> (const <a class="el" href="classframework_1_1core_1_1_i_o_device.html">IODevice</a> *device)</td></tr>
<tr class="memdesc:a7e7f5d82cab621b617ee19a268e19480 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add an <a class="el" href="classframework_1_1core_1_1_i_o_device.html" title="Abstract class for input/ouput system. ">IODevice</a> to the logs.  <a href="#a7e7f5d82cab621b617ee19a268e19480">More...</a><br /></td></tr>
<tr class="separator:a7e7f5d82cab621b617ee19a268e19480 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a780509d4fa58f743535afebeff1fa568 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_i_o_device.html#a780509d4fa58f743535afebeff1fa568">AddDataToLog</a> (const <a class="el" href="classframework_1_1core_1_1io__data.html">io_data</a> *data)</td></tr>
<tr class="memdesc:a780509d4fa58f743535afebeff1fa568 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add an <a class="el" href="classframework_1_1core_1_1io__data.html" title="Abstract class for data types. ">io_data</a> to the log.  <a href="#a780509d4fa58f743535afebeff1fa568">More...</a><br /></td></tr>
<tr class="separator:a780509d4fa58f743535afebeff1fa568 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d6345ad826683212ecb8d182614a77f inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_i_o_device.html#a5d6345ad826683212ecb8d182614a77f">OutputToShMem</a> (bool enabled)</td></tr>
<tr class="memdesc:a5d6345ad826683212ecb8d182614a77f inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Send the output to a shared memory.  <a href="#a5d6345ad826683212ecb8d182614a77f">More...</a><br /></td></tr>
<tr class="separator:a5d6345ad826683212ecb8d182614a77f inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a64c45d0ae8937692acf28adaaa7a54b3 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a64c45d0ae8937692acf28adaaa7a54b3"></a>
virtual <a class="el" href="classframework_1_1core_1_1_data_type.html">DataType</a> const &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>GetInputDataType</b> () const </td></tr>
<tr class="separator:a64c45d0ae8937692acf28adaaa7a54b3 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c60cdf6bb6b0bff895a785d2981fdf5 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8c60cdf6bb6b0bff895a785d2981fdf5"></a>
virtual <a class="el" href="classframework_1_1core_1_1_data_type.html">DataType</a> const &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>GetOutputDataType</b> () const </td></tr>
<tr class="separator:a8c60cdf6bb6b0bff895a785d2981fdf5 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td></tr>
<tr class="memitem:a97617b01df8aedc07b2ba46ef4988994 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a97617b01df8aedc07b2ba46ef4988994">Object</a> (const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td></tr>
<tr class="memdesc:a97617b01df8aedc07b2ba46ef4988994 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a97617b01df8aedc07b2ba46ef4988994">More...</a><br /></td></tr>
<tr class="separator:a97617b01df8aedc07b2ba46ef4988994 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#ac934815b59eb1cf1a47bdb114fa86da0">~Object</a> ()</td></tr>
<tr class="memdesc:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#ac934815b59eb1cf1a47bdb114fa86da0">More...</a><br /></td></tr>
<tr class="separator:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae19cf04d95b4cabb8c6064375b15337f inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#ae19cf04d95b4cabb8c6064375b15337f">ObjectName</a> (void) const </td></tr>
<tr class="memdesc:ae19cf04d95b4cabb8c6064375b15337f inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name.  <a href="#ae19cf04d95b4cabb8c6064375b15337f">More...</a><br /></td></tr>
<tr class="separator:ae19cf04d95b4cabb8c6064375b15337f inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49660b572cdbedc6a665d5d396ed00a1 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a49660b572cdbedc6a665d5d396ed00a1">ObjectType</a> (void) const </td></tr>
<tr class="memdesc:a49660b572cdbedc6a665d5d396ed00a1 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Type.  <a href="#a49660b572cdbedc6a665d5d396ed00a1">More...</a><br /></td></tr>
<tr class="separator:a49660b572cdbedc6a665d5d396ed00a1 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8dda2eca639eb56bb2c3f26de04f2678 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a8dda2eca639eb56bb2c3f26de04f2678">Parent</a> (void) const </td></tr>
<tr class="memdesc:a8dda2eca639eb56bb2c3f26de04f2678 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parent.  <a href="#a8dda2eca639eb56bb2c3f26de04f2678">More...</a><br /></td></tr>
<tr class="separator:a8dda2eca639eb56bb2c3f26de04f2678 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7fb6234586cd406b3bea93aadf01ba16 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a7fb6234586cd406b3bea93aadf01ba16">TypeChilds</a> (void) const </td></tr>
<tr class="memdesc:a7fb6234586cd406b3bea93aadf01ba16 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs of the same type.  <a href="#a7fb6234586cd406b3bea93aadf01ba16">More...</a><br /></td></tr>
<tr class="separator:a7fb6234586cd406b3bea93aadf01ba16 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee8de0c31d51e165fed466a4c8bcf6c4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#aee8de0c31d51e165fed466a4c8bcf6c4">Childs</a> (void) const </td></tr>
<tr class="memdesc:aee8de0c31d51e165fed466a4c8bcf6c4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs.  <a href="#aee8de0c31d51e165fed466a4c8bcf6c4">More...</a><br /></td></tr>
<tr class="separator:aee8de0c31d51e165fed466a4c8bcf6c4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec1974099e78e731ba9c3dd1ed05de94 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#aec1974099e78e731ba9c3dd1ed05de94">Information</a> (const char *function, int line, const char *format,...) const </td></tr>
<tr class="memdesc:aec1974099e78e731ba9c3dd1ed05de94 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted information.  <a href="#aec1974099e78e731ba9c3dd1ed05de94">More...</a><br /></td></tr>
<tr class="separator:aec1974099e78e731ba9c3dd1ed05de94 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb73af04b52a2ba67a2d2ce1a74330a2 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#abb73af04b52a2ba67a2d2ce1a74330a2">Warning</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:abb73af04b52a2ba67a2d2ce1a74330a2 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted warning.  <a href="#abb73af04b52a2ba67a2d2ce1a74330a2">More...</a><br /></td></tr>
<tr class="separator:abb73af04b52a2ba67a2d2ce1a74330a2 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f48a765168b2fe4a629234e0b778559 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a6f48a765168b2fe4a629234e0b778559">Error</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:a6f48a765168b2fe4a629234e0b778559 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted error.  <a href="#a6f48a765168b2fe4a629234e0b778559">More...</a><br /></td></tr>
<tr class="separator:a6f48a765168b2fe4a629234e0b778559 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56a6221f2ce124d7c53b15a423a47b08 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a56a6221f2ce124d7c53b15a423a47b08">ErrorOccured</a> (bool recursive=true) const </td></tr>
<tr class="memdesc:a56a6221f2ce124d7c53b15a423a47b08 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Has an errror occured?  <a href="#a56a6221f2ce124d7c53b15a423a47b08">More...</a><br /></td></tr>
<tr class="separator:a56a6221f2ce124d7c53b15a423a47b08 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:a25fe40b70f56d99bc216498a553ca757"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1sensor_1_1_gps.html#a25fe40b70f56d99bc216498a553ca757">parseFrame</a> (const char *frame, int frame_size)</td></tr>
<tr class="memdesc:a25fe40b70f56d99bc216498a553ca757"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parse a NMEA frame.  <a href="#a25fe40b70f56d99bc216498a553ca757">More...</a><br /></td></tr>
<tr class="separator:a25fe40b70f56d99bc216498a553ca757"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classframework_1_1core_1_1_i_o_device"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classframework_1_1core_1_1_i_o_device')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_i_o_device.html">framework::core::IODevice</a></td></tr>
<tr class="memitem:a50eb13bc82e98bc0e170d77bba026de4 inherit pro_methods_classframework_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_i_o_device.html#a50eb13bc82e98bc0e170d77bba026de4">ProcessUpdate</a> (<a class="el" href="classframework_1_1core_1_1io__data.html">io_data</a> *data)</td></tr>
<tr class="memdesc:a50eb13bc82e98bc0e170d77bba026de4 inherit pro_methods_classframework_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Process the childs of type <a class="el" href="classframework_1_1core_1_1_i_o_device.html" title="Abstract class for input/ouput system. ">IODevice</a>, and log if needed.  <a href="#a50eb13bc82e98bc0e170d77bba026de4">More...</a><br /></td></tr>
<tr class="separator:a50eb13bc82e98bc0e170d77bba026de4 inherit pro_methods_classframework_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:af3dfc19cfd0257e2067b9a284fdc9074"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af3dfc19cfd0257e2067b9a284fdc9074"></a>
<a class="el" href="classframework_1_1sensor_1_1_gps.html#a6835e9e2cdd6189bbdfb6d4483478234">NMEAFlags_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b>NMEAFlags</b></td></tr>
<tr class="separator:af3dfc19cfd0257e2067b9a284fdc9074"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a19efa6085bcca447f0d94b7a29a4a8e3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a19efa6085bcca447f0d94b7a29a4a8e3"></a>
<a class="el" href="classframework_1_1core_1_1_geo_coordinate.html">core::GeoCoordinate</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>position</b></td></tr>
<tr class="separator:a19efa6085bcca447f0d94b7a29a4a8e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Base class for GPS. </p>
</div><h2 class="groupheader">Member Enumeration Documentation</h2>
<a class="anchor" id="a3bec6c638e73b402193ad6a2141cb070"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classframework_1_1sensor_1_1_gps.html#a3bec6c638e73b402193ad6a2141cb070">framework::sensor::Gps::FixQuality_t</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Fix qualty indicators. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="a3bec6c638e73b402193ad6a2141cb070a4bbb8f967da6d1a610596d7257179c2b"></a>Invalid&#160;</td><td class="fielddoc">
<p>invalid </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a3bec6c638e73b402193ad6a2141cb070a06960407a35b206422d40932f13c8d91"></a>Gps&#160;</td><td class="fielddoc">
<p><a class="el" href="classframework_1_1sensor_1_1_gps.html" title="Base class for GPS. ">Gps</a> </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a3bec6c638e73b402193ad6a2141cb070aee015802cac7ac6094dc62db8b8a2f51"></a>DGps&#160;</td><td class="fielddoc">
<p>Differential <a class="el" href="classframework_1_1sensor_1_1_gps.html" title="Base class for GPS. ">Gps</a> </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a3bec6c638e73b402193ad6a2141cb070abd9768d943ecb6ddb75aeffea3bfd829"></a>Pps&#160;</td><td class="fielddoc">
<p>Pps </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a3bec6c638e73b402193ad6a2141cb070a8ad9533f39ec3fe43d6ee0104464a116"></a>Rtk&#160;</td><td class="fielddoc">
<p>RTK </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a3bec6c638e73b402193ad6a2141cb070a1eacb557d24c49af2ec6832c5fc32413"></a>RtkFloat&#160;</td><td class="fielddoc">
<p>RTK float </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a3bec6c638e73b402193ad6a2141cb070a3c311fbd0f9e51ce27b984f55164cf83"></a>Estimated&#160;</td><td class="fielddoc">
<p>Estimated </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a3bec6c638e73b402193ad6a2141cb070ae1ba155a9f2e8c3be94020eef32a0301"></a>Manual&#160;</td><td class="fielddoc">
<p>Manual </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a3bec6c638e73b402193ad6a2141cb070a4f502b57d2835715eaa382c7d4c32e94"></a>Simulation&#160;</td><td class="fielddoc">
<p>Simulation </p>
</td></tr>
</table>

</div>
</div>
<a class="anchor" id="a6835e9e2cdd6189bbdfb6d4483478234"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classframework_1_1sensor_1_1_gps.html#a6835e9e2cdd6189bbdfb6d4483478234">framework::sensor::Gps::NMEAFlags_t</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>NMEA flags. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="a6835e9e2cdd6189bbdfb6d4483478234addb2829db61b82906101f81621b72a15"></a>GGA&#160;</td><td class="fielddoc">
<p>GGA </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a6835e9e2cdd6189bbdfb6d4483478234a668a0c7e54c498682f662b13938a2bfb"></a>VTG&#160;</td><td class="fielddoc">
<p>VTG </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a6835e9e2cdd6189bbdfb6d4483478234a1a1ffbc77c26d00e01df0a98f7c711df"></a>GST&#160;</td><td class="fielddoc">
<p>GST </p>
</td></tr>
</table>

</div>
</div>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ab30e2e915b24fdda381ba16a435eb050"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">framework::sensor::Gps::Gps </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classframework_1_1core_1_1_framework_manager.html">core::FrameworkManager</a> *&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classframework_1_1sensor_1_1_gps.html#a6835e9e2cdd6189bbdfb6d4483478234">NMEAFlags_t</a>&#160;</td>
          <td class="paramname"><em>NMEAFlags</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor. </p>
<p>Construct a <a class="el" href="classframework_1_1sensor_1_1_gps.html" title="Base class for GPS. ">Gps</a>.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">parent</td><td>parent </td></tr>
    <tr><td class="paramname">name</td><td>name </td></tr>
    <tr><td class="paramname">NMEAFlags</td><td>NMEA sentances to enable </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a99868101e26a88375c576254d12bbdda"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">framework::sensor::Gps::~Gps </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Destructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a5ad4c1deab4b628fb1f6d9553499d15e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void framework::sensor::Gps::UseDefaultPlot </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Use default plot. </p>

</div>
</div>
<a class="anchor" id="a16f2841eb386fe1bd864130441605d12"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classframework_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a>* framework::sensor::Gps::EPlot </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>East plot. </p>
<dl class="section return"><dt>Returns</dt><dd>east plot </dd></dl>

</div>
</div>
<a class="anchor" id="a72aae77c6f5f67b089843cf684112459"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classframework_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a>* framework::sensor::Gps::NPlot </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>North plot. </p>
<dl class="section return"><dt>Returns</dt><dd>north plot </dd></dl>

</div>
</div>
<a class="anchor" id="a7588126b45d2a322145dc94bb0e0168c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classframework_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a>* framework::sensor::Gps::UPlot </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Up plot. </p>
<dl class="section return"><dt>Returns</dt><dd>up plot </dd></dl>

</div>
</div>
<a class="anchor" id="ae9b44dcc5e3d9804dfb0a44c695c3ebd"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classframework_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a>* framework::sensor::Gps::VEPlot </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>East velocity plot. </p>
<dl class="section return"><dt>Returns</dt><dd>east velocity plot </dd></dl>

</div>
</div>
<a class="anchor" id="a22f882b31b9cb59186e13dac3aeae56c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classframework_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a>* framework::sensor::Gps::VNPlot </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>North velocity plot. </p>
<dl class="section return"><dt>Returns</dt><dd>north velocity plot </dd></dl>

</div>
</div>
<a class="anchor" id="a4bbc2c14b7123f06b5ae9c80b2e18f7b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classframework_1_1gui_1_1_tab_widget.html">gui::TabWidget</a>* framework::sensor::Gps::GetTab </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Main tab. </p>
<dl class="section return"><dt>Returns</dt><dd>main tab </dd></dl>

</div>
</div>
<a class="anchor" id="aa3d9c3cace27dafe48673bde9a7b26ad"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classframework_1_1gui_1_1_layout.html">gui::Layout</a>* framework::sensor::Gps::GetLayout </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Setup Layout. </p>
<dl class="section return"><dt>Returns</dt><dd>setup Layout </dd></dl>

</div>
</div>
<a class="anchor" id="a4a27b55c12e2089fed49cdf9e9714ee1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classframework_1_1gui_1_1_tab.html">gui::Tab</a>* framework::sensor::Gps::GetPlotTab </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Plot tab. </p>
<dl class="section return"><dt>Returns</dt><dd>plot Tab </dd></dl>

</div>
</div>
<a class="anchor" id="aca54673898eddbc1d1078fdc7f1d88dd"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint16_t framework::sensor::Gps::NbSat </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Number of used satellites. </p>
<dl class="section return"><dt>Returns</dt><dd>number of used satellites </dd></dl>

</div>
</div>
<a class="anchor" id="a8c480b2dcb3be744b0f0aeffbc4a3cbe"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classframework_1_1sensor_1_1_gps.html#a3bec6c638e73b402193ad6a2141cb070">FixQuality_t</a> framework::sensor::Gps::FixQuality </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Fix Quality. </p>
<dl class="section return"><dt>Returns</dt><dd>fix quality </dd></dl>

</div>
</div>
<a class="anchor" id="a2ed3abd4f1cf24d5be873dc995d11cb9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void framework::sensor::Gps::SetRef </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set reference for ENU coordinates. </p>
<p>The actual position is used as reference to calculate ENU coordinates.</p>
<dl class="section return"><dt>Returns</dt><dd>fix quality </dd></dl>

</div>
</div>
<a class="anchor" id="a2aa80e9268af7c1b7f13c71a057ec4b5"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void framework::sensor::Gps::GetENUPosition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classframework_1_1core_1_1_vector3_d.html">core::Vector3D</a> *&#160;</td>
          <td class="paramname"><em>point</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get ENU position. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">point</td><td>to store position </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a25fe40b70f56d99bc216498a553ca757"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void framework::sensor::Gps::parseFrame </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>frame</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>frame_size</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Parse a NMEA frame. </p>
<p>This function must be called by the reimplemented class. <br />
When a frame is parsed, GPS datas are filled.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">frame</td><td>NMEA frame </td></tr>
    <tr><td class="paramname">frame_size</td><td>frame size </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceframework.html">framework</a></li><li class="navelem"><a class="el" href="namespaceframework_1_1sensor.html">sensor</a></li><li class="navelem"><a class="el" href="classframework_1_1sensor_1_1_gps.html">Gps</a></li>
    <li class="footer">Generated on Tue Apr 12 2016 16:29:00 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
